PLaSK library

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
plask::UnionBoundarySetImpl Struct Reference

This logic holds a list of boundaries and represent a set of indices which is an union of sets from this boundaries. More...

`#include <plask/mesh/boundary.hpp>`

Inheritance diagram for plask::UnionBoundarySetImpl:
[legend]
Collaboration diagram for plask::UnionBoundarySetImpl:
[legend]

## Classes
struct | IteratorImpl

## Public Types
typedef std::vector< BoundaryNodeSet > | BoundariesVec
Public Types inherited from plask::BoundaryNodeSetImpl
typedef PolymorphicForwardIteratorImpl< std::size_t, std::size_t > | IteratorImpl
| Base class for boundary iterator implementation.
typedef PolymorphicForwardIterator< IteratorImpl > | Iterator
| Boundary iterator type.
typedef Iterator | const_iterator
| iterator over indexes of mesh
typedef const_iterator | iterator

## Public Member Functions
template<typename... Args>
| UnionBoundarySetImpl (Args &&... args)
| UnionBoundarySetImpl (BoundaryNodeSet A, BoundaryNodeSet B)
bool | contains (std::size_t mesh_index) const override
| Check if boundary contains point with given index.
BoundaryNodeSetImpl::Iterator | begin () const override
| Get begin iterator over boundary points.
BoundaryNodeSetImpl::Iterator | end () const override
| Get end iterator over boundary points.
bool | empty () const override
| Check if this represents empty set of indexes.
void | push_back (const BoundaryNodeSet &to_append)
void | push_back (BoundaryNodeSet &&to_append)
Public Member Functions inherited from plask::BoundaryNodeSetImpl
virtual | ~BoundaryNodeSetImpl ()
virtual std::size_t | size () const
| Get number of points in this boundary.

## Public Attributes
BoundariesVec | boundaries

## Detailed Description

This logic holds a list of boundaries and represent a set of indices which is an union of sets from this boundaries.

Definition at line 431 of file boundary.hpp.

## Member Typedef Documentation

## ◆ BoundariesVec

typedef std::vector< BoundaryNodeSet > plask::UnionBoundarySetImpl::BoundariesVec

Definition at line 433 of file boundary.hpp.

## Constructor & Destructor Documentation

## ◆ UnionBoundarySetImpl() [1/2]

template<typename... Args>

plask::UnionBoundarySetImpl::UnionBoundarySetImpl | ( | Args &&... | args | ) |
| inline

Definition at line 486 of file boundary.hpp.

## ◆ UnionBoundarySetImpl() [2/2]

plask::UnionBoundarySetImpl::UnionBoundarySetImpl | ( | BoundaryNodeSet | A,
|  | BoundaryNodeSet | B
| ) |  |
| inline

Definition at line 489 of file boundary.hpp.

## Member Function Documentation

## ◆ begin()

BoundaryNodeSetImpl::Iterator plask::UnionBoundarySetImpl::begin | ( |  | ) | const
| inline override virtual

Get begin iterator over boundary points.

Returns
  begin iterator over boundary points

Implements plask::BoundaryNodeSetImpl.

Definition at line 498 of file boundary.hpp.

## ◆ contains()

bool plask::UnionBoundarySetImpl::contains | ( | std::size_t | mesh_index | ) | const
| inline override virtual

Check if boundary contains point with given index.

Parameters

  mesh_index | valid index of point in `mesh`

Returns
  `true` only if point with index `mesh_index` in `mesh` lies on boundary

Implements plask::BoundaryNodeSetImpl.

Definition at line 492 of file boundary.hpp.

## ◆ empty()

bool plask::UnionBoundarySetImpl::empty | ( |  | ) | const
| inline override virtual

Check if this represents empty set of indexes.

Returns
  `true` only if this represents empty set of indexes

Reimplemented from plask::BoundaryNodeSetImpl.

Definition at line 514 of file boundary.hpp.

## ◆ end()

BoundaryNodeSetImpl::Iterator plask::UnionBoundarySetImpl::end | ( |  | ) | const
| inline override virtual

Get end iterator over boundary points.

Returns
  end iterator over boundary points

Implements plask::BoundaryNodeSetImpl.

Definition at line 506 of file boundary.hpp.

## ◆ push_back() [1/2]

void plask::UnionBoundarySetImpl::push_back | ( | BoundaryNodeSet && | to_append | ) |
| inline

Definition at line 528 of file boundary.hpp.

## ◆ push_back() [2/2]

void plask::UnionBoundarySetImpl::push_back | ( | const BoundaryNodeSet & | to_append | ) |
| inline

Definition at line 526 of file boundary.hpp.

## Member Data Documentation

## ◆ boundaries

BoundariesVec plask::UnionBoundarySetImpl::boundaries

Definition at line 434 of file boundary.hpp.

The documentation for this struct was generated from the following file:

- plask/mesh/boundary.hpp